# v0.10.2

Release date: 2025-02-24

```{include} ../early-access.md
```

## Release Notes

This release has no breaking changes, but several features and bug fixes.

### Breaking Changes

None.

### Features

- [`Simulation.refresh()`](#luminarycloud.Simulation.refresh) method added to sync Simulation instance state with the backend.
- [`Mesh.refresh()`](#luminarycloud.Mesh.refresh) method added to sync Mesh instance state with the backend.
- [`Mesh.geometry_version()`](#luminarycloud.Mesh.geometry_version) method added to fetch a Mesh's [`GeometryVersion`](#luminarycloud.GeometryVersion).
- [`Solution.download_surface_deformation_template()`](#luminarycloud.Solution.download_surface_deformation_template) and [`Solution.download_surface_sensitivity_data()`](#luminarycloud.Solution.download_surface_sensitivity_data) methods added.
- [`Geometry.select_volumes()`](#luminarycloud.Geometry.select_volumes) now accepts Volume IDs in addition to Volume objects.
- All interactive geometry methods on `VolumeSelection` now take an optional `feature_name: str` argument which defaults to the name of the operation
- Functions that take a [`Vector3`](#luminarycloud.types.Vector3) as a parameter now also accept a 3-element List or Tuple

### Deprecations

None.

### Bug Fixes / Improvements

- [`Geometry.add_farfield()`](#luminarycloud.Geometry.add_farfield) method was not working with a [`Cube`](#luminarycloud.params.geometry.Cube) shape, now it is.
- `VolumeSelection.shrinkwrap()` was broken by a recent backend change, now it's fixed.
- Fix for Simulations with transient stopping conditions

## Migration Guide

No changes required.
