# v0.11.0

Release date: 2025-02-27

```{include} ../early-access.md
```

## Release Notes

This release has breaking changes. It also introduces image rendering!
We recommend all customers upgrade to this release.

### Breaking Changes

- Underlying representations of [`QuantityType`](#luminarycloud.enum.QuantityType) values have
changed to match a server side update. Users of old SDK versions may see incorrect results from the
[`Simulation.download_surface_output()`](#luminarycloud.Simulation.download_surface_output) method.
- [`QuantityType`](#luminarycloud.enum.QuantityType) values `VELOCITY_X`, `VELOCITY_Y`, and `VELOCITY_Z`
have been removed. For
[`Simulation.download_surface_output()`](#luminarycloud.Simulation.download_surface_output), use
`VELOCITY` and specify a `vector_component` instead.

### Features

- `luminarycloud.vis` module added to provide image rendering. See the
[`vis.Scene`](#luminarycloud.vis.Scene) class as a starting point.
- [`SimulationParam.configure_adjoint_surface_output()`](#luminarycloud.SimulationParam.configure_adjoint_surface_output)
method provides a simpler interface to define the output to be differentiated by the adjoint solver.

### Deprecations

- [`MinimalCount()`](#luminarycloud.meshing.sizing_strategy.MinimalCount) is deprecated. Use [`Minimal()`](#luminarycloud.meshing.sizing_strategy.Minimal) instead.

### Bug Fixes / Improvements

- Improve the string representation of `SimulationParam`.
- Consolidate the `SimulationParam.reference_values` and `ReferenceValues`.
- [`meshing.sizing_strategy.MinimalCount`](#luminarycloud.meshing.sizing_strategy.MinimalCount) was
not working, now it is.

## Migration Guide

### Replacing `VELOCITY_{X,Y,Z}` QuantityTypes

[`QuantityType`](#luminarycloud.enum.QuantityType) values `VELOCITY_X`, `VELOCITY_Y`, and
`VELOCITY_Z` have been removed. If you need to download a velocity component output from
[`Simulation.download_surface_output()`](#luminarycloud.Simulation.download_surface_output), use
`QuantityType.VELOCITY` and pass a `vector_component` parameter.
