# v0.12.0

Release date: 2025-03-18

```{include} ../early-access.md
```

## Release Notes

This release has breaking changes. It also adds features including new visualization filters, an easier-to-use camera, and operations on project outputs, geometry tags, and geometry features.

### Breaking Changes

- [`vis.ImageExtract.download_image()`](#luminarycloud.vis.ImageExtract.download_image) used to save an image to disk, now it returns a byte buffer.  Use [`ImageExtract.save_image()`](#luminarycloud.vis.ImageExtract.save_image) to save an image to disk.
- `vis.Clip` is now [`vis.PlaneClip`](#luminarycloud.vis.PlaneClip)
- The `name` attribute is now required on [`meshing.RefinementRegion`](#luminarycloud.meshing.RefinementRegion), and must be unique within the scope of a [`meshing.MeshGenerationParams.refinement_regions`](#luminarycloud.meshing.MeshGenerationParams.refinement_regions)
- The `z_axis` attribute of [`params.geometry.OrientedCube`](#luminarycloud.params.geometry.OrientedCube) has been removed.
- The parameters of [`params.geometry.Cone`](#luminarycloud.params.geometry.Cone) have changed to `apex`, `base_center`, and `base_radius`.

### Features

- [`vis.LookAtCamera`](#luminarycloud.vis.LookAtCamera) has been added for easier camera positioning.
- [`vis.ImageExtract.save_image()`](#luminarycloud.vis.ImageExtract.save_image) added to save an image to disk.
- More visualization filters added: [`vis.BoxClip`](#luminarycloud.vis.BoxClip), [`vis.FixedSizeVectorGlyphs`](#luminarycloud.vis.FixedSizeVectorGlyphs), and [`vis.ScaledVectorGlyphs`](#luminarycloud.vis.ScaledVectorGlyphs).
- [`Project`](#luminarycloud.Project) gains methods for manipulating outputs: [`create_output_node()`](#luminarycloud.Project.create_output_node), [`list_output_nodes()`](#luminarycloud.Project.list_output_nodes),[`get_output_node()`](#luminarycloud.Project.get_output_node),[`update_output_node()`](#luminarycloud.Project.update_output_node), and [`delete_output_node()`](#luminarycloud.Project.delete_output_node). See also the new [`outputs`](#luminarycloud.outputs) module.
- [`Geometry`](#luminarycloud.Geometry) has new helper functions for working with tags: [`rename_tag()`](#luminarycloud.Geometry.rename_tag), [`untag_entities()`](#luminarycloud.Geometry.untag_entities), and [`delete_tags()`](#luminarycloud.Geometry.delete_tags).
- [`Geometry`](#luminarycloud.Geometry) has new helper functions for working with features: [`rename_feature()`](#luminarycloud.Geometry.rename_feature), [`delete_feature()`](#luminarycloud.Geometry.delete_feature), [`undo()`](#luminarycloud.Geometry.undo), and [`redo()`](#luminarycloud.Geometry.redo)
- [`Geometry.add_farfield()`](#luminarycloud.Geometry.add_farfield) now has a new argument `propagate_tool_tags`. If this argument is true, tags associated with the volumes to be subtracted will be propagated to their surfaces before performing the farfield subtraction.

### Deprecations

None.

### Bug Fixes / Improvements

- Fluid inlet boundary conditions were not being serialized correctly. This is fixed.
- Refinement regions were not being serialized correctly. This is fixed.
- VolumeMeshingParams were not being serialized correctly. This is fixed.

## Migration Guide

Replace `ImageExtract.download_image` calls with `ImageExtract.save_image`.

Replace `vis.Clip` instances with `vis.PlaneClip`.

If using `MeshGenerationParams`, ensure every `RefinementRegion` within it has a unique name.

Remove `z_axis` argument from any usage of `OrientedCube`.

For any usage of `Cone`, replace `start` with `apex`, `end` with `base_center`, and `radius` with `base_radius`.