# v0.7.0

Release date: 2024-10-14

```{include} ../early-access.md
```

## Download

**[luminarycloud-0.7.0-py3-none-any.whl](https://storage.googleapis.com/luminarycloud-learning/sample-projects/lc-sdk/api-files/luminarycloud-0.7.0-py3-none-any.whl)**

See the [Upgrade Guide](./index.md#upgrade-guide) for instructions on how to upgrade a previously
installed SDK version.

## Release Notes

### Breaking Changes

- The required Python version has been bumped to 3.12.
- The function signature for [`create_simulation()`](#luminarycloud.project.Project.create_simulation) has changed.
    - The `params_json_path` parameter has been replaced by `simulation_template_id`.

### Features

- Simulation parameters can now be fetched for an existing simulation using [`get_parameters()`](#luminarycloud.simulation.Simulation.get_parameters).
- SimulationTemplates are now available. Simulations can be created using a SimulationTemplate by passing the `simulation_template_id` parameter to the [`create_simulation()`](#luminarycloud.project.Project.create_simulation) function.
- The `ReferenceValues` and `Vector3` classes are now dataclasses.

## Migration Guide

### `create_simulation()`

The [`create_simulation()`](#luminarycloud.project.Project.create_simulation) function now has a required `simulation_template_id` parameter.

If you were previously using the `params_json_path` parameter, you must first create a SimulationTemplate using the [`create_simulation_template()`](#luminarycloud.project.Project.create_simulation_template) function,
and then pass the `simulation_template_id` to the [`create_simulation()`](#luminarycloud.project.Project.create_simulation) function.

Before:

```python3
sim = project.create_simulation(mesh.id, "my simulation", "./simulation_template.json",)
```

After:

```python3
sim_template = project.create_simulation_template("my template", "./simulation_template.json")
sim = project.create_simulation(mesh.id, "my simulation", sim_template.id)
```
