# v0.9.0

Release date: 2025-01-02

```{include} ../early-access.md
```

## Release Notes

This release has breaking changes. It also contains new features.
We recommend all customers upgrade to this release.

### Breaking Changes

- The [`Vector3`](#luminarycloud.types.Vector3) class has been moved to `luminarycloud.types`.
- The `MeshAdaptationParameters` class has been moved to `luminarycloud.meshing`.
- The function signature for [`Project:create_mesh()`](#luminarycloud.Project.create_mesh) has changed.
- The properties of [`GeometryEntity`](#luminarycloud.params.geometry.GeometryEntity) have changed.

### Features

- The required Python version has been lowered to 3.10.
- A new package [`luminarycloud.meshing`](#luminarycloud.meshing) has been added.
- A new function [`Geometry:list_entities()`](#luminarycloud.Geometry.list_entities) has been added.
- A new function [`Project:load_geometry_to_setup()`](#luminarycloud.Project.load_geometry_to_setup) has been added.
- Several new classes have been added to [`luminarycloud.params.geometry`](#luminarycloud.params.geometry).

## Migration Guide

#### Updating imports

If you're using `Vector3` or `MeshAdaptationParameters`, you'll need to update your imports.
Also, rename `MeshAdaptationParameters` to `MeshAdaptationParams`.

```python
from luminarycloud.types import Vector3
from luminarycloud.meshing import MeshAdaptationParams
```

#### Updating function signatures

If you were passing a `MeshAdaptationParameters` using `Project:create_mesh()` for mesh adaptation,
you'll need to move it so that it's the first positional argument to the function.

```python
# Before
project.create_mesh(name="my_mesh", adaptation_params=params)

# After
project.create_mesh(params, name="my_mesh")
```

```{include} ../install.md
```